Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.util.xml
Class JRXPathExecuterUtils

    java.lang.Object
      net.sf.jasperreports.engine.util.xml.JRXPathExecuterUtils

    public final class JRXPathExecuterUtils

extends java.lang.Object

Helper class used to instantiate `XPath executers`.

The `XPath executer factory` class name is given by the `net.sf.jasperreports.xpath.executer.factory` property. The class should have a public default constructor so that it can be instantiated via reflection.

By default, `XPath executers` based on Apache Xalan are used.

Version:
  $Id: JRXPathExecuterUtils.java 3712 2010-04-08 09:53:09Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`static java.lang.String` | `PROPERTY_XPATH_EXECUTER_FACTORY` Property that holds the `XPath executer factory` class name.

Method Summary
`static JRXPathExecuter` | `getXPathExecuter()` Produces an `XPath executer` instance by means of the factory returned by `getXPathExecuterFactory()`.
`static JRXPathExecuterFactory` | `getXPathExecuterFactory()` Return an `XPath executer factory` instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_XPATH_EXECUTER_FACTORY

    public static final java.lang.String PROPERTY_XPATH_EXECUTER_FACTORY

  Property that holds the `XPath executer factory` class name.

  See Also:
    Constant Field Values

Method Detail

### getXPathExecuterFactory

    public static JRXPathExecuterFactory getXPathExecuterFactory()
                                                          throws JRException

  Return an `XPath executer factory` instance.

  Returns:
    a JRXPathExecuterFactory instance
  Throws:
    `JRException` - if the `XPath factory property` is not defined or the factory cannot be instantiated.

### getXPathExecuter

    public static JRXPathExecuter getXPathExecuter()
                                            throws JRException

  Produces an `XPath executer` instance by means of the factory returned by `getXPathExecuterFactory()`.

  Returns:
    an JRXPathExecuter instance
  Throws:
    `JRException` - if the `XPath factory property` is not defined or the factory cannot be instantiated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com